package com.xylink.sdk.test;

import com.xylink.model.DeviceInfo;
import com.xylink.model.Pager;
import com.xylink.sdk.device.DeviceStatusApi;
import com.xylink.util.Result;
import org.junit.Test;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by changxiangyang on 2017/9/19.
 */
public class DeviceStatusTest extends EnterpriseConfig{

    //获取所有鱼类状态
    @Test
    public void getDeviceInfos(){
        DeviceStatusApi dsa=new DeviceStatusApi();
        try {
            Result<DeviceInfo[]> deviceInfo = dsa.getDeviceInfo(enterpriseId, token);
            System.out.println(deviceInfo);
        }catch (IOException e){
            System.out.println("testEnd--"+e);
        }
    }

    @Test
    public void getDeviceInfosByPage(){
        DeviceStatusApi dsa=new DeviceStatusApi();
        int page = 0;
        int size = 20;
        try {
            Result<Pager<DeviceInfo>> deviceInfo = dsa.getDeviceInfo(enterpriseId, token, page, size);
            System.out.println(deviceInfo);
        }catch (IOException e){
            System.out.println("testEnd--"+e);
        }
    }

    //通过sn列表查询设备信息
    @Test
    public void getDeviceInfoBySn(){
        DeviceStatusApi dsa=new DeviceStatusApi();
        List<String> snLst=new ArrayList<String>();
        snLst.add("2D1510907");
        try {
            Result<DeviceInfo[]> deviceInfo = dsa.getDeviceInfo(enterpriseId, token, snLst);
            System.out.println(deviceInfo);
        }catch (IOException e){
            System.out.println("testEnd--"+e);
        }
    }
}
